Bug 1114692 - [RFE] Total count of items (DCs, hosts, VMs, ...) should be also shown in pagination info
Summary: [RFE] Total count of items (DCs, hosts, VMs, ...) should be also shown in pag...
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: oVirt
Classification: Retired
Component: ovirt-engine-webadmin
Version: 3.5
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
: ---
Assignee: bugs@ovirt.org
QA Contact: Pavel Stehlik
URL:
Whiteboard: ux
Depends On: 1122125
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-06-30 16:42 UTC by Pavel Novotny
Modified: 2015-03-29 09:06 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
: 1122125 (view as bug list)
Environment:
Last Closed: 2015-03-29 09:06:23 UTC
oVirt Team: ---


Attachments (Terms of Use)
screen - data grid pagination counters (7.97 KB, image/png)
2014-06-30 16:42 UTC, Pavel Novotny
no flags Details

Description Pavel Novotny 2014-06-30 16:42:49 UTC
Created attachment 913483 [details]
screen - data grid pagination counters

Description of problem:
Data grid pagination info should also include the total count of items, not just starting and ending item numbers. It helps the GUI to be more user-friendly, in comparison to using API just to obtain this information.

For example if we have 350 VMs, the pagination info should show "100-200/350" and not just "100-200" so it's clearly visible how many VMs are present in oVirt. This is applicable for all data grids, not just VMs.

Version-Release number of selected component (if applicable):
ovirt-engine-3.5.0-0.0.master.20140605145557.git3ddd2de.el6.noarch (alpha2)

How reproducible:
100%

Steps to Reproduce:
1. Have more than 100 VMs in the GUI, let's say 350.
2. On the Virtual Machines tab, check if the pagination info includes total count of VMs.
3.

Actual results:
Nope, it shows only starting and ending item number, such as "1-100".

Expected results:
Total count of VMs should be shown there too, e.g. "1-100/350".
See attached screenshot as example.

Additional info:

Comment 1 Einav Cohen 2014-07-22 15:09:51 UTC
Requires a backend/api change:

need new queries that will return the total count of items for a certain query (ignoring the requested page number/size), or that the existing search queries will return, as part of the result, *also* the number of items for that query (again, ignoring the requested page number/size).

Comment 2 Einav Cohen 2014-07-22 15:13:38 UTC
(In reply to Einav Cohen from comment #1)
> Requires a backend/api change:
> 
> need new queries that will return the total count of items for a certain
> query (ignoring the requested page number/size), or that the existing search
> queries will return, as part of the result, *also* the number of items for
> that query (again, ignoring the requested page number/size).

opened bug 1122125 to track that. this bug depends on bug 1122125.

Comment 3 Itamar Heim 2015-03-29 09:06:23 UTC
Closing old bugs. If this issue is still relevant/important in current version, please re-open the bug.


Note You need to log in before you can comment on or make changes to this bug.